clang 10.0.0git

Classes | Namespaces | Functions
RefactoringOption.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include <memory>`
`#include <type_traits>`
Include dependency graph for RefactoringOption.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tooling::RefactoringOption
| A refactoring option is an interface that describes a value that has an impact on the outcome of a refactoring. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Functions
template<typename OptionType >
std::shared_ptr< OptionType > | clang::tooling::createRefactoringOption ()
| Constructs a refactoring option of the given type. More...